package com.backend.glowhouse.controller;

import com.backend.glowhouse.model.SensorData;
import com.backend.glowhouse.service.SensorDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/data")
public class SensorDataController {
    final private SensorDataService sensorDataService;

    @Autowired
    public SensorDataController(SensorDataService sensorDataService) {
        this.sensorDataService = sensorDataService;
    }

    @PostMapping(value = "/sendSensorData")
    public ResponseEntity receiveSensorDataJson(@RequestBody SensorData sensorData) {
        System.out.println("Got here!");

//        for (int i = 0; i < sensorData.size(); i++) {
//            Float humidity = sensorData.get(i).getHumidity();
//            Float temp = sensorData.get(i).getTemp();
//
//            System.out.println("Data received: {humidity = " + humidity + ", temp = " + temp + "}");
//        }

        this.sensorDataService.processSensorData(sensorData);

        return new ResponseEntity(HttpStatus.OK);
    }
}
